Bug 1023923 - Uninstaller doesn't work if install fails
Uninstaller doesn't work if install fails
Status: CLOSED NOTABUG
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Thomas Hauser
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 06:47 EDT by Michael Burman
Modified: 2013-12-13 13:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 13:10:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Installation logfile (143.22 KB, text/plain)
2013-10-28 06:47 EDT, Michael Burman
no flags Details

  None (edit)
Description Michael Burman 2013-10-28 06:47:43 EDT
Created attachment 816770 [details]
Installation logfile

Description of problem: If the installer fails for any reason, the uninstaller option is not installed. The shortcut is installed, but it's pointing to a jar, that's not available.

The shortcut points to:

"C:\Program Files (x86)\Java\jre7\bin\java.exe" -jar "C:\Projects\fsw600beta\Uninstaller\uninstaller.jar"

But Uninstaller directory is never created, so uninstaller.jar can't be found.

Version-Release number of selected component (if applicable): 6.0.0.Beta


How reproducible:
Everytime.

Steps to Reproduce:
1. Use some option that fails the installer in the management interface can't be connected part.
2. Install the shortcuts.
3. Try to uninstall.

Actual results:


Expected results:

Uninstaller should start the uninstaller.

Additional info:
Comment 3 Thomas Hauser 2013-11-12 16:30:24 EST
real bug here is that there are files left over by the installation that are not removed upon failure.
Comment 4 Thomas Hauser 2013-11-13 12:28:12 EST
Uninstallation is not supported by FSW.

Note You need to log in before you can comment on or make changes to this bug.